package com.interpress_project.modernshare.client.controller.model;

public interface IFileItem {
	/**
	 * getAbsolutePath
	 * @return java.lang.String
	 */
	String getAbsolutePath();

	/**
	 * getName
	 * @return java.lang.String
	 */
	String getName();

	/**
	 * getParent
	 * @return
	 */
	IFileItem getParent();

	/**
	 * isDirectory
	 * @return boolean
	 */
	boolean isDirectory();

	/**
	 * isExist
	 * @return
	 */
	boolean isExist();

	/**
	 * getFilesize
	 * @return
	 */
	long getFilesize();

	/**
	 * getLocalItems
	 * @return
	 */
	IFileItem[] getLocalItems();

}
